
Automated Build Generator - Bug #2018
Analysis of maven project reports empty XML node
09/23/2014 01:15 PM - S. Meyer zu Borgsen

Status: Resolved Start date: 09/23/2014
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Project Analysis Estimated time: 0.00 hour
Target version: 0.3
Description

The pom from project: https://projects.cit-ec.uni-bielefeld.de/git/bonsai-behavior.git
causes the build generator to fail with the output as in the attached log.

Associated revisions
Revision dfb780bd - 09/24/2014 08:13 PM - J. Moringen

Support POM "parent" element in src/analysis/maven.lisp

fixes #2018

    -  src/analysis/maven.lisp (analysis pathname eql :maven): when a
  "parent" element is present, merge its groupId and version information
  with that stored in the "project" element

History
#1 - 09/24/2014 08:16 PM - J. Moringen
- Category set to Project Analysis
- Status changed from New to In Progress
- Target version set to 0.3

#2 - 09/24/2014 08:24 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:dfb780bdbcbe3e35c4c522a581d596dd6f04109c.

Files
bonsai-behavior-problem.log 214 KB 09/23/2014 S. Meyer zu Borgsen

04/26/2024 1/1

https://projects.cit-ec.uni-bielefeld.de/git/bonsai-behavior.git

